# Project for Driftage

This is a simple example to show how driftage can be setup in a Gigantum Project. Dependencies were installed using information from [this requirements file](https://github.com/dmvieira/driftage/blob/master/requirements.txt), and the example Jupyter Notebook were taken from [here](https://github.com/dmvieira/driftage/blob/master/examples/health_monitor/Data%20Analysis.ipynb) and [here](https://github.com/dmvieira/driftage/blob/master/examples/analyse-in-memory/Data%20Analysis.ipynb) and data were taken from [here](https://github.com/dmvieira/driftage/tree/master/examples/health_monitor/monitor/data) and [here](https://github.com/dmvieira/driftage/tree/master/examples/analyse-in-memory/result).

To run the notebook, a few dependencies were added, e.g. `matplotlib` and `scikit-multiflow`, as well as installation of `driftage` itself.

The notebook was put into the Code director, and the data file was put into the Input director. Path in the notebook was changed to `../input/` to account for this new set of locations.  

## Seeing the History in the Activity Feed
If you inspect the activity feed then you will see the sequence of activities that I did in order to get things running. Scroll to the very bottom of the Activity Feed to see where the history starts, and then scroll up to see how it evolves. You can click on the individual cards to see what was done.

For example, you can see that at the start I added some packages, executed the notebook, and then determined that I had to add some more packages. After I got all the packages installed, then I was able to run the notebook to complete.

## Modifying this Project
You can follow my example of how to import notebooks into the Code directory, and further test data into the Input directory. However, this Project is actually a Git repository so you shouldn't just go into a terminal and clone something into it. It will break things.

Instead, you should build the environment through the environment tab (requirements.txt files, docker commands, etc) and add the code and data files through the UI. Make sure to correct the pathways.  